# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*-

%define xulr_name    xulrunner
%define xulr_version 1.9.0.5
%define xulr_release alt1.20081205

Name:	 	rpm-build-mozilla.org
Version:	1.1
Release:	alt2
Summary: 	RPM helpers to build Mozilla.org packages
Packager:	Alexey Gladkov <legion@altlinux.ru>

Group:		Development/Other
License:	GPL
BuildArch:	noarch

Source0:	rpm.macros.standalone
Source1:	mozilla-sh-functions
Source2:	installrdf.sh
Source3:	applicationini.sh

Source10:	xulrunner.req
Source11:	xulrunner.req.files

Requires:	raptor rpm-utils

%description
These helpers provide possibility to build Mozilla.org packages
by some Alt Linux Team Policy compatible way.

%install
mkdir -p -- %buildroot/%_bindir %buildroot/%_rpmlibdir

for f in %SOURCE2 %SOURCE3; do
	fn="${f##*/}"
	sed \
		-e 's,@require_gre_name@,%xulr_name,g' \
		-e 's,@datadir@,%_datadir/%xulr_name,g' \
		< "$f" > %buildroot/%_bindir/$fn
	chmod 755 -- %buildroot/%_bindir/$fn
done

install -D -m644 %SOURCE1 %buildroot/%_datadir/%xulr_name/mozilla-sh-functions
install -D -m644 %SOURCE0 %buildroot/%_sysconfdir/rpm/macros.d/%xulr_name
install -D -m755 %SOURCE10 %SOURCE11 %buildroot/%_rpmlibdir/

sed -i \
	-e 's,@xulr_name@,%xulr_name,g' \
	-e 's,@xulr_version@,%xulr_version,g' \
	-e 's,@xulr_release@,%xulr_release,g' \
	\
	%buildroot/%_sysconfdir/rpm/macros.d/%xulr_name

%files
%_bindir/*
%_sysconfdir/rpm/macros.d/%xulr_name
%_rpmlibdir/xulrunner.req*
%_datadir/%xulr_name

%changelog
* Mon Dec 08 2008 Alexey Gladkov <legion@altlinux.ru> 1.1-alt2
- New build.

* Tue Nov 18 2008 Alexey Gladkov <legion@altlinux.ru> 1.1-alt1
- New build for firefox-3.0.4.
- Add applicationini.sh.

* Mon Oct 06 2008 Alexey Gladkov <legion@altlinux.ru> 1.0-alt6
- New build for firefox-3.0.3.

* Mon Sep 08 2008 Alexey Gladkov <legion@altlinux.ru> 1.0-alt5
- New build.

* Fri Jul 18 2008 Alexey Gladkov <legion@altlinux.ru> 1.0-alt4
- New build for firefox-3.0.1.

* Fri Jul 11 2008 Alexey Gladkov <legion@altlinux.ru> 1.0-alt3
- New build.

* Thu Jun 05 2008 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- New build for 1.9.0.2pre.

* Fri Jan 25 2008 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- first build for ALT linux.
